package com.docus.server.rpc;

import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.rpc.dto.ReportDownTwoDto;

/**
 * 无视图任务服务
 *
 * @author wyb
 */

public interface TaskDistributeService {


    /**
     * 无视图-根据采集器类型获取任务信息
     *
     * @param collectorId 采集器类型
     * @return 任务信息
     */
    CommonResult<ReportDownTwoDto> getNoViewTaskByCollectorId(String collectorId);


    /**
     *
     * 新版任务平台，格努采集器类型获取任务
     */
    CommonResult<ReportDownTwoDto> getTaskByCollectorId(String collectorId);



    CommonResult<String> cancel(Long taskId);
}
